JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions | Variables
juce_Span.h File Reference

## Classes
class | Span< Value, Extent >
| A non-owning view over contiguous objects stored in an Array or vector or other similar container. More...

## Functions
template<typename T , typename End >
| Span (T, End) -> Span< std::remove_pointer_t< decltype(detail::toAddress(std::declval< T >()))> >
template<typename T , size_t N>
| Span (T(&)[N]) -> Span< T, N >
template<typename T , size_t N>
| Span (std::array< T, N > &) -> Span< T, N >
template<typename T , size_t N>
| Span (const std::array< T, N > &) -> Span< const T, N >
template<typename Range >
| Span (Range &&r) -> Span< std::remove_pointer_t< decltype(std::data(r))> >

## Variables
constexpr auto | dynamicExtent = std::numeric_limits<size_t>::max()